Get current surgical report review state
Returns the immutable revisions and review timeline for the active surgical report hold.
Returns the immutable revisions and review timeline for the active surgical report hold.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Response Body
application/json
curl -X GET "https://example.com/orders/string/surgical-report"{ "blockedByOtherHold": true, "review": { "reviewId": "string", "holdId": "string", "orderPhaseId": "string", "orderPhaseTaskId": "string", "status": "pending_review", "currentRevisionNumber": 1, "reviewNotes": "string", "bookingUrl": "string", "reviewedAt": "string", "currentRevision": { "id": "string", "revisionNumber": 1, "projectUrl": "string", "submittedByMemberId": "string", "submittedAt": "string", "files": [ { "id": "string", "name": "string", "type": "string", "category": "report", "sortOrder": 0 } ] }, "revisions": [ { "id": "string", "revisionNumber": 1, "projectUrl": "string", "submittedByMemberId": "string", "submittedAt": "string", "files": [ { "id": "string", "name": "string", "type": "string", "category": "report", "sortOrder": 0 } ] } ], "events": [ { "id": "string", "sequence": 1, "eventType": "submitted", "revisionId": "string", "actorMemberId": "string", "notes": "string", "createdAt": "string" } ] }}Empty
Empty
Get current CAD design review state GET
Returns the immutable revisions and review timeline for the active CAD design hold.
Get specific draft order GET
Returns a specific draft order by ID, including related clinic, lab, patient, line items, and attached files. Only accessible by the draft creator within their organization.